Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Interface ValueHolder

All Known Subinterfaces:
  EditableValueHolder

All Known Implementing Classes:
  UIInput, UIOutput

public interface ValueHolder

Version:
  $Revision: 167000 $ $Date: 2004-07-05 08:52:43 -0400 (Mon, 05 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: manolito $)

Method Summary
`Converter` | `getConverter()`
`java.lang.Object` | `getLocalValue()`
`java.lang.Object` | `getValue()`
`void` | `setConverter(Converter converter)`
`void` | `setValue(java.lang.Object value)`

Method Detail

### getLocalValue

    public java.lang.Object getLocalValue()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

### getConverter

    public Converter getConverter()

### setConverter

    public void setConverter(Converter converter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD